<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;

class FormController extends Controller
{
    public function index(){
      return view('form');
    }

    public function store(Request $request){
      $request->validate([
        'name' => 'required|min:2',
        'age' => 'required|numeric|min:12|max:150',
        'lastname' => 'required',
        'email' => 'required|email'
      ], [
        'name.required' => 'Представтесь',
        'age.min' => 'Минимальный возраст регистрации должен быть :min',
        'age.max' => 'макстмальный возраст регистрации должен быть :max',
        'lastname.required' => 'Фамилия обезательно',
        'email.required' => 'Введите email',
        'email.email' => 'ошибка'
      ]);

      $name = $request->input('name');
      $lastname = $request->input('lastname');
      $email = $request->input('email');
      $city = $request->input('city');

      Storage::createDir('test-data');
      Storage::put('test-data/' . uniqid() . '.json', json_encode($request->all()));

      //$filename = storage_path('test-data/' . uniqid() . '.json');
      //file_put_contents($filename, json_encode($request->all()));

      return back()->with('message', 'Форма сохранена!');
      #return redirect()->with("message", 'Форма сохранена!');
    }
}
